%define pypi_name webunit
%define version 1.3.10
%define release 1

# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?__python2: %global __python2 %__python}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-%{pypi_name}
Version:        %{version}
Release:        1%{?dist}
Summary:        Unit test your websites with code that acts like a web browser.

License:        BSD
URL:            http://mechanicalcat.net/tech/webunit/
Source0:        %{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel

%description
Unit test your websites with code that acts like a web browser.

Webunit is a framework for unit testing websites:

    * Browser-like page fetching including fetching the images and stylesheets needed for a page and following redirects
    * Cookies stored and trackable (all automatically handled)
    * HTTP, HTTPS, GET, POST, basic auth all handled, control over expected status codes, …
    * DOM parsing of pages to retrieve and analyse structure, including simple form re-posting
    * Two-line page-fetch followed by form-submit possible, with error checking
    * Ability to register error page content across multiple tests
    * Uses python’s standard unittest module as the underlying framework
    * May also be used to regression-test sites, or ensure their ongoing operation once in production (testing login processes work, etc.)


%prep
%autosetup -n %{pypi_name}-%{version}


%build
%py2_build


%install
%py2_install


%check
# %{__python2} setup.py test


%files
%doc README.txt
# For noarch packages: sitelib
%{python2_sitelib}/*


%changelog
* Sat Sep 12 2015 Juan Pablo Giménez
- 
